v 15.0 Third Party 33700
Download for v 15.0 Deploy on Odoo.sh Live Preview
Required Apps Invoicing (account)
Included Dependencies
Lines of code 5495
Technical Name om_account_accountant
LicenseLGPL-3
Websitehttps://www.odoomates.tech
Also available in version v 13.0 v 14.0 v 12.0
You bought this module and need support? Click here!
Required Apps Invoicing (account)
Included Dependencies
Lines of code 5495
Technical Name om_account_accountant
LicenseLGPL-3
Websitehttps://www.odoomates.tech
Also available in version v 13.0 v 14.0 v 12.0

Odoo 15 Accounting Management

Accounting Report - Partner Ledger, General Ledger, Trial Balance etc.


Asset Management.


Budget Management.


Import Bank Statements.



Accounting Reports

Asset Management

Budget Management

Fiscal Year and Period Closing

Import Bank Statement



If you need any help or want more features, just contact us:


Email: odoomates@gmail.com



Odoo 15 Accounting

This Module will bring back the accounting features such as Account Reports, Asset Management and Budget Management into Odoo 15 Community Edition

Installation

To install this module, you need to:

Download the module and add it to your Odoo addons folder. Afterward, log on to your Odoo server and go to the Apps menu. Trigger the debug mode and update the list by clicking on the "Update Apps List" link. Now install the module by clicking on the install button.

Upgrade

To upgrade this module, you need to:

Download the module and add it to your Odoo addons folder. Restart the server and log on to your Odoo server. Select the Apps menu and upgrade the module by clicking on the upgrade button.

Configuration

There is Nothing to Configure

Credits

Contributors

Author & Maintainer

This module is maintained by the Odoo Mates

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
cola
by
gogi g
on 12/6/21, 10:53 AM

The team acted promptly and there is no more error. Thanks for your attention


by
Jodi
on 10/28/21, 2:49 AM

Is there any module in the app store that would add reconciliation to this module?
Paid module is fine too

Re:
by
Odoo Mates
on 11/15/21, 12:57 PM Author

For odoo 15, use this module:  https://github.com/kelvzxu/account-reconcile/tree/15.0/account_reconciliation_widget

For odoo14: https://www.youtube.com/watch?v=jLJdprd-TZ8&t=309s


Odoo 15 // binascii.Error: Incorrect padding // When i install the module
by
btanerii
on 10/22/21, 4:09 AM
Hello, same problème with @Hamdy ElSherbiny
When install the module i have this error if i go Configuration > General settings and click on save button or click on whatever i want in General settings.


The above exception was the direct cause of the following exception: Traceback (most recent call last): File "/opt/odoo/odoo15/odoo/http.py", line 643, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/opt/odoo/odoo15/odoo/http.py", line 301, in _handle_exception raise exception.with_traceback(None) from new_cause binascii.Error: Incorrect padding

When i uninstall, i no longer have the error.

Thank you, v15.0.1.0.0

Re: Odoo 15 // binascii.Error: Incorrect padding // When i install the module
by
Odoo Mates
on 11/14/21, 1:57 PM Author

Issue Fixed, please download the latest and try once again and let us know


by
Hamdy ElSherbiny
on 10/19/21, 11:36 AM

Hi,

After installing the module for Odoo15 Community, we received the below error while saving configuration??!!

kindly advise,

BR

Hamdy

Re:
by
Odoo Mates
on 11/14/21, 1:56 PM Author

Hi,

Issue resolved and updated.


cola
by
gogi g
on 12/6/21, 3:46 AM

500: Internal Server Error

Traceback

Traceback (most recent call last):
  File "C:\odoo\server\odoo\addons\base\models\ir_http.py", line 237, in _dispatch
    result = request.dispatch()
  File "C:\odoo\server\odoo\http.py", line 810, in dispatch
    r = self._call_function(**self.params)
  File "C:\odoo\server\odoo\http.py", line 916, in __call__
    return self.method(*args, **kw)
  File "C:\odoo\server\odoo\http.py", line 535, in response_wrap
    response = f(*args, **kw)
  File "C:\odoo\server\odoo\addons\web\controllers\main.py", line 1931, in report_routes
    html = report.with_context(context)._render_qweb_html(docids, data=data)[0]
  File "C:\odoo\server\odoo\addons\base\models\ir_actions_report.py", line 862, in _render_qweb_html
    data = self._get_rendering_context(docids, data)
  File "C:\odoo\server\odoo\addons\base\models\ir_actions_report.py", line 879, in _get_rendering_context
    data.update(report_model._get_report_values(docids, data=data))
  File "C:\odoo\server\odoo\addons\accounting_pdf_reports\reports\report_financial.py", line 152, in _get_report_values
    report_lines = self.get_account_lines(data.get('form'))
  File "C:\odoo\server\odoo\addons\accounting_pdf_reports\reports\report_financial.py", line 88, in get_account_lines
    comparison_res = self.with_context(data.get('comparison_context'))._compute_report_balance(child_reports)
  File "C:\odoo\server\odoo\models.py", line 5293, in with_context
    if (args and 'force_company' in args[0]) or 'force_company' in kwargs:
TypeError: argument of type 'NoneType' is not iterable
Re: cola
by
Odoo Mates
on 12/6/21, 4:09 AM Author

When you receive this error ? upon installing or share us more details over the email, odoomates@gmail.com


Goerge
by
gogi g
on 12/6/21, 12:25 AM

Hi. as I see cash flow absence in this module 

Re: Goerge
by
Odoo Mates
on 12/6/21, 1:07 AM Author

We will be merging it to the module in coming days.

We are adding new new functionalities, recently added is the credit limit: https://apps.odoo.com/apps/modules/15.0/om_credit_limit/


Error when enable Analytic Accounting in Settings
by
Mohammad AL-Omari
on 11/7/21, 10:44 AM

RPC_ERROR

Odoo Server Error

Traceback (most recent call last):

  File "d:\odoo\odoo15\server\odoo\addons\base\models\ir_http.py", line 237, in _dispatch

    result = request.dispatch()

  File "d:\odoo\odoo15\server\odoo\http.py", line 687, in dispatch

    result = self._call_function(**self.params)

  File "d:\odoo\odoo15\server\odoo\http.py", line 359, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "d:\odoo\odoo15\server\odoo\service\model.py", line 94, in wrapper

    return f(dbname, *args, **kwargs)

  File "d:\odoo\odoo15\server\odoo\http.py", line 348, in checked_call

    result = self.endpoint(*a, **kw)

  File "d:\odoo\odoo15\server\odoo\http.py", line 916, in __call__

    return self.method(*args, **kw)

  File "d:\odoo\odoo15\server\odoo\http.py", line 535, in response_wrap

    response = f(*args, **kw)

  File "d:\odoo\odoo15\server\odoo\addons\web\controllers\main.py", line 1332, in call_kw

    return self._call_kw(model, method, args, kwargs)

  File "d:\odoo\odoo15\server\odoo\addons\web\controllers\main.py", line 1324, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "d:\odoo\odoo15\server\odoo\api.py", line 459, in call_kw

    result = _call_kw_model_create(method, model, args, kwargs)

  File "d:\odoo\odoo15\server\odoo\api.py", line 439, in _call_kw_model_create

    result = method(recs, *args, **kwargs)

  File "<decorator-gen-98>", line 2, in create

  File "d:\odoo\odoo15\server\odoo\api.py", line 388, in _model_create_single

    return create(self, arg)

  File "d:\odoo\odoo15\server\odoo\addons\base\models\res_config.py", line 782, in create

    return super(ResConfigSettings, self).create(values)

  File "<decorator-gen-67>", line 2, in create

  File "d:\odoo\odoo15\server\odoo\api.py", line 409, in _model_create_multi

    return create(self, [arg])

  File "d:\odoo\odoo15\server\odoo\addons\base\models\ir_fields.py", line 613, in create

    recs = super().create(vals_list)

  File "<decorator-gen-13>", line 2, in create

  File "d:\odoo\odoo15\server\odoo\api.py", line 410, in _model_create_multi

    return create(self, arg)

  File "d:\odoo\odoo15\server\odoo\models.py", line 4064, in create

    records = self._create(data_list)

  File "d:\odoo\odoo15\server\odoo\models.py", line 4216, in _create

    for other, data in zip(others, data_list)

  File "d:\odoo\odoo15\server\odoo\fields.py", line 2195, in create

    for record, value in record_values

  File "<decorator-gen-229>", line 2, in create

  File "d:\odoo\odoo15\server\odoo\api.py", line 391, in _model_create_single

    return self.browse().concat(*(create(self, vals) for vals in arg))

  File "d:\odoo\odoo15\server\odoo\api.py", line 391, in <genexpr>

    return self.browse().concat(*(create(self, vals) for vals in arg))

  File "d:\odoo\odoo15\server\odoo\addons\website\models\ir_attachment.py", line 25, in create

    return super(Attachment, self).create(vals)

  File "<decorator-gen-53>", line 2, in create

  File "d:\odoo\odoo15\server\odoo\api.py", line 409, in _model_create_multi

    return create(self, [arg])

  File "d:\odoo\odoo15\server\odoo\addons\base\models\ir_attachment.py", line 603, in create

    values = self._check_contents(values)

  File "d:\odoo\odoo15\server\odoo\addons\base\models\ir_attachment.py", line 338, in _check_contents

    mimetype = values['mimetype'] = self._compute_mimetype(values)

  File "d:\odoo\odoo15\server\odoo\addons\base\models\ir_attachment.py", line 295, in _compute_mimetype

    raw = base64.b64decode(values['datas'])

  File "d:\odoo\odoo15\python\lib\base64.py", line 87, in b64decode

    return binascii.a2b_base64(s)

Exception


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "d:\odoo\odoo15\server\odoo\http.py", line 643, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "d:\odoo\odoo15\server\odoo\http.py", line 301, in _handle_exception

    raise exception.with_traceback(None) from new_cause

binascii.Error: Incorrect padding


Re: Error when enable Analytic Accounting in Settings
by
Odoo Mates
on 11/14/21, 1:57 PM Author

Solved


Odoo15 Error while saving settings
by
Hamdy ElSherbiny
on 10/19/21, 11:37 AM

RPC_ERROR

Odoo Server Error

Traceback (most recent call last):

  File "/odoo15/odoo15-server/odoo/addons/base/models/ir_http.py", line 237, in _dispatch

    result = request.dispatch()

  File "/odoo15/odoo15-server/odoo/http.py", line 687, in dispatch

    result = self._call_function(**self.params)

  File "/odoo15/odoo15-server/odoo/http.py", line 359, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "/odoo15/odoo15-server/odoo/service/model.py", line 94, in wrapper

    return f(dbname, *args, **kwargs)

  File "/odoo15/odoo15-server/odoo/http.py", line 348, in checked_call

    result = self.endpoint(*a, **kw)

  File "/odoo15/odoo15-server/odoo/http.py", line 916, in __call__

    return self.method(*args, **kw)

  File "/odoo15/odoo15-server/odoo/http.py", line 535, in response_wrap

    response = f(*args, **kw)

  File "/odoo15/odoo15-server/addons/web/controllers/main.py", line 1332, in call_kw

    return self._call_kw(model, method, args, kwargs)

  File "/odoo15/odoo15-server/addons/web/controllers/main.py", line 1324, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "/odoo15/odoo15-server/odoo/api.py", line 459, in call_kw

    result = _call_kw_model_create(method, model, args, kwargs)

  File "/odoo15/odoo15-server/odoo/api.py", line 439, in _call_kw_model_create

    result = method(recs, *args, **kwargs)

  File "<decorator-gen-98>", line 2, in create

  File "/odoo15/odoo15-server/odoo/api.py", line 388, in _model_create_single

    return create(self, arg)

  File "/odoo15/odoo15-server/odoo/addons/base/models/res_config.py", line 782, in create

    return super(ResConfigSettings, self).create(values)

  File "<decorator-gen-67>", line 2, in create

  File "/odoo15/odoo15-server/odoo/api.py", line 409, in _model_create_multi

    return create(self, [arg])

  File "/odoo15/odoo15-server/odoo/addons/base/models/ir_fields.py", line 613, in create

    recs = super().create(vals_list)

  File "<decorator-gen-13>", line 2, in create

  File "/odoo15/odoo15-server/odoo/api.py", line 410, in _model_create_multi

    return create(self, arg)

  File "/odoo15/odoo15-server/odoo/models.py", line 4064, in create

    records = self._create(data_list)

  File "/odoo15/odoo15-server/odoo/models.py", line 4214, in _create

    field.create([

  File "/odoo15/odoo15-server/odoo/fields.py", line 2185, in create

    env['ir.attachment'].sudo().with_context(

  File "<decorator-gen-53>", line 2, in create

  File "/odoo15/odoo15-server/odoo/api.py", line 410, in _model_create_multi

    return create(self, arg)

  File "/odoo15/odoo15-server/odoo/addons/base/models/ir_attachment.py", line 561, in create

    values = self._check_contents(values)

  File "/odoo15/odoo15-server/odoo/addons/base/models/ir_attachment.py", line 298, in _check_contents

    mimetype = values['mimetype'] = self._compute_mimetype(values)

  File "/odoo15/odoo15-server/odoo/addons/base/models/ir_attachment.py", line 292, in _compute_mimetype

    raw = base64.b64decode(values['datas'])

  File "/usr/lib/python3.8/base64.py", line 87, in b64decode

    return binascii.a2b_base64(s)

Exception


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "/odoo15/odoo15-server/odoo/http.py", line 643, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/odoo15/odoo15-server/odoo/http.py", line 301, in _handle_exception

    raise exception.with_traceback(None) from new_cause

binascii.Error: Incorrect padding


Re: Odoo15 Error while saving settings
by
Odoo Mates
on 11/14/21, 1:58 PM Author

Solved


by
Hamdy ElSherbiny
on 10/19/21, 11:36 AM

RPC_ERROR

Odoo Server Error

Traceback (most recent call last):

  File "/odoo15/odoo15-server/odoo/addons/base/models/ir_http.py", line 237, in _dispatch

    result = request.dispatch()

  File "/odoo15/odoo15-server/odoo/http.py", line 687, in dispatch

    result = self._call_function(**self.params)

  File "/odoo15/odoo15-server/odoo/http.py", line 359, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "/odoo15/odoo15-server/odoo/service/model.py", line 94, in wrapper

    return f(dbname, *args, **kwargs)

  File "/odoo15/odoo15-server/odoo/http.py", line 348, in checked_call

    result = self.endpoint(*a, **kw)

  File "/odoo15/odoo15-server/odoo/http.py", line 916, in __call__

    return self.method(*args, **kw)

  File "/odoo15/odoo15-server/odoo/http.py", line 535, in response_wrap

    response = f(*args, **kw)

  File "/odoo15/odoo15-server/addons/web/controllers/main.py", line 1332, in call_kw

    return self._call_kw(model, method, args, kwargs)

  File "/odoo15/odoo15-server/addons/web/controllers/main.py", line 1324, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "/odoo15/odoo15-server/odoo/api.py", line 459, in call_kw

    result = _call_kw_model_create(method, model, args, kwargs)

  File "/odoo15/odoo15-server/odoo/api.py", line 439, in _call_kw_model_create

    result = method(recs, *args, **kwargs)

  File "<decorator-gen-98>", line 2, in create

  File "/odoo15/odoo15-server/odoo/api.py", line 388, in _model_create_single

    return create(self, arg)

  File "/odoo15/odoo15-server/odoo/addons/base/models/res_config.py", line 782, in create

    return super(ResConfigSettings, self).create(values)

  File "<decorator-gen-67>", line 2, in create

  File "/odoo15/odoo15-server/odoo/api.py", line 409, in _model_create_multi

    return create(self, [arg])

  File "/odoo15/odoo15-server/odoo/addons/base/models/ir_fields.py", line 613, in create

    recs = super().create(vals_list)

  File "<decorator-gen-13>", line 2, in create

  File "/odoo15/odoo15-server/odoo/api.py", line 410, in _model_create_multi

    return create(self, arg)

  File "/odoo15/odoo15-server/odoo/models.py", line 4064, in create

    records = self._create(data_list)

  File "/odoo15/odoo15-server/odoo/models.py", line 4214, in _create

    field.create([

  File "/odoo15/odoo15-server/odoo/fields.py", line 2185, in create

    env['ir.attachment'].sudo().with_context(

  File "<decorator-gen-53>", line 2, in create

  File "/odoo15/odoo15-server/odoo/api.py", line 410, in _model_create_multi

    return create(self, arg)

  File "/odoo15/odoo15-server/odoo/addons/base/models/ir_attachment.py", line 561, in create

    values = self._check_contents(values)

  File "/odoo15/odoo15-server/odoo/addons/base/models/ir_attachment.py", line 298, in _check_contents

    mimetype = values['mimetype'] = self._compute_mimetype(values)

  File "/odoo15/odoo15-server/odoo/addons/base/models/ir_attachment.py", line 292, in _compute_mimetype

    raw = base64.b64decode(values['datas'])

  File "/usr/lib/python3.8/base64.py", line 87, in b64decode

    return binascii.a2b_base64(s)

Exception


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "/odoo15/odoo15-server/odoo/http.py", line 643, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/odoo15/odoo15-server/odoo/http.py", line 301, in _handle_exception

    raise exception.with_traceback(None) from new_cause

binascii.Error: Incorrect padding


Re:
by
Odoo Mates
on 11/14/21, 1:58 PM Author

Solved